Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class GrailsMVCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ControllerExecutionException, IncompatibleParameterCountException, InvalidUriException, NoClosurePropertyForURIException, NoViewNameDefinedException, UnknownControllerException, UnsupportedReturnValueException

    public abstract class GrailsMVCException

extends GrailsException

Thrown when an unrecoverable error occured in the Grails MVC framework.

Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`GrailsMVCException()`
`GrailsMVCException(String message)`
`GrailsMVCException(String message, Throwable cause)`
`GrailsMVCException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsMVCException

    public GrailsMVCException()

### GrailsMVCException

    public GrailsMVCException(String message)

### GrailsMVCException

    public GrailsMVCException(String message,
                              Throwable cause)

### GrailsMVCException

    public GrailsMVCException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD